Add support for offline package and test for onap release job
[infra/cicd.git] / jjb / cloud-infra / scripts / upload-xtesting-artifact.sh
diff --git a/jjb/cloud-infra/scripts/upload-xtesting-artifact.sh b/jjb/cloud-infra/scripts/upload-xtesting-artifact.sh
new file mode 100755 (executable)
index 0000000..991a9e7
--- /dev/null
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o nounset
+set -o errexit
+set -o pipefail
+
+export BUILD_ARTIFACTS="/tmp/${STACK_TYPE}-test-${GERRIT_BRANCH}.bsx"
+echo "Info  : Uploading $BUILD_ARTIFACTS to Nordix ARM $NORDIX_ARM_REPO repository"
+
+if [[ "$EXECUTION_MODE" == "packaging" || "$EXECUTION_MODE" == "offline-deployment" ]]; then
+  cd /tmp
+  for BUILD_ARTIFACT in $BUILD_ARTIFACTS; do
+    echo "Info  : Generating checksums for $BUILD_ARTIFACT"
+    ARTIFACT_MD5SUM=$(md5sum $BUILD_ARTIFACT | cut -d' ' -f1)
+    ARTIFACT_SHASUM=$(shasum $BUILD_ARTIFACT | cut -d' ' -f1)
+    ARTIFACT_SHA256SUM=$(sha256sum $BUILD_ARTIFACT | cut -d' ' -f1)
+
+    # NOTE (fdegir): get rid of /tmp from BUILD_ARTIFACT
+    REMOTE_ARTIFACT=$(echo $BUILD_ARTIFACT | sed 's/.*\///g')
+
+    echo "Info  : Uploading $BUILD_ARTIFACT to Nordix Artifactory"
+    curl -s -S \
+        -H "X-JFrog-Art-Api:$NORDIX_ARM_TOKEN" \
+        -H "X-Checksum-MD5:$ARTIFACT_MD5SUM" \
+        -H "X-Checksum-Sha1:$ARTIFACT_SHASUM" \
+        -H "X-Checksum-Sha256:$ARTIFACT_SHA256SUM" \
+        -T $BUILD_ARTIFACT \
+        "$NORDIX_ARTIFACT_URL/$REMOTE_ARTIFACT"
+    echo "Info  : Artifact $BUILD_ARTIFACT is available on $NORDIX_ARTIFACT_URL/$REMOTE_ARTIFACT"
+  done
+else
+  echo "Info  : Online deployment. No artifact to upload."
+fi
+
+# vim: set ts=2 sw=2 expandtab: